# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "gsc-executor-common"
version = "0.35.0"
authors = ["Gear Technologies"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A set of common definitions that are needed for defining execution engines."
homepage = "https://gear-tech.io"
documentation = "https://docs.rs/gsc-executor-common"
readme = "README.md"
keywords = [
    "substrate",
    "runtime",
    "executor",
    "wasm",
    "polkavm",
]
categories = ["wasm"]
license = "GPL-3.0-or-later WITH Classpath-exception-2.0"
repository = "https://github.com/gear-tech/gear"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[features]
default = []

[lib]
name = "gsc_executor_common"
path = "src/lib.rs"

[dependencies.polkavm]
version = "0.9.3"
default-features = false

[dependencies.sp-allocator]
version = "=29.0.0"
default-features = true
package = "gsp-allocator"

[dependencies.sp-maybe-compressed-blob]
version = "11.0.0"
default-features = true

[dependencies.sp-wasm-interface]
version = "=21.0.1"
default-features = true
package = "gsp-wasm-interface"

[dependencies.thiserror]
version = "2.0.12"
default-features = false

[dependencies.wasm-instrument]
version = "0.4.0"
default-features = true

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    "cfg(fuzz)",
    "cfg(loom)",
    "cfg(substrate_runtime)",
    'cfg(build_type, values("debug"))',
]
